tell application "EagleFiler"
	try
		set the_window to first browser window
		set the_records to selected records of the_window
		if the_records is not equal to {} then
			if the (number of items in the_records) is equal to 1 then
				repeat with the_record in the_records
					set current_title to title of the_record
					set current_content to note text of the_record
					set current_url to URL of the_record
					set current_tags_text to my tagBird(assigned tags of the_record)
				end repeat
			else
				error
			end if
		else
			error
		end if
	end try
end tell

set _TempFile1 to ((path to temporary items folder) & "iGTDEagleFilerTitle.txt") as text
set _TempFile2 to ((path to temporary items folder) & "iGTDEagleFilerURL.txt") as text
set _TempFile3 to ((path to temporary items folder) & "iGTDEagleFilerNote.txt") as text
set _TempFile4 to ((path to temporary items folder) & "iGTDEagleFilerKeywords.txt") as text

my sendToiGTD(_TempFile1, current_title)
my sendToiGTD(_TempFile2, current_url)
my sendToiGTD(_TempFile3, current_content)
my sendToiGTD(_TempFile4, current_tags_text)

on sendToiGTD(the_file, the_contents)
	try
		close access file the_file
	end try
	try
		open for access file the_file with write permission
		set eof file the_file to 0 -- clear the file contents
		write the_contents to file the_file
		close access file the_file
	end try
end sendToiGTD

on tagBird(ef_tag_list)
	set the_text to ""
	set the_spacer to "," as Unicode text
	repeat with ef_tag in ef_tag_list
		set the_text to the_text & name of ef_tag
		set the_text to the_text & the_spacer
	end repeat
	return the_text
end tagBird