tell application "Microsoft Word"
	
	set current_name to name of active document
	set current_text to content of selection
	set current_selectionStart to selection start of selection
	set current_selectionEnd to selection end of selection
	
	set n to name of active document
	set p to path of active document
	set fp to p & ":" & n
	set posixFullPath to POSIX path of fp
	
	if path of active document is not "" then
		set current_link to "msword://" & posixFullPath & "#" & current_selectionStart & "," & current_selectionEnd
	else
		set current_link to ""
	end if
	
end tell

set _TempFile1 to ((path to temporary items folder) & "iGTDmsWordText.txt") as text
set _TempFile2 to ((path to temporary items folder) & "iGTDmsWordUrl.txt") as text
set _TempFile3 to ((path to temporary items folder) & "iGTDmsWordName.txt") as text

try
	close access file _TempFile1
end try

try
	close access file _TempFile2
end try

try
	close access file _TempFile3
end try

open for access file _TempFile1 with write permission
set eof file _TempFile1 to 0 -- clear the file contents
write current_text to file _TempFile1
close access file _TempFile1

open for access file _TempFile2 with write permission
set eof file _TempFile2 to 0 -- clear the file contents
write current_link to file _TempFile2
close access file _TempFile2

open for access file _TempFile3 with write permission
set eof file _TempFile3 to 0 -- clear the file contents
write current_name to file _TempFile3
close access file _TempFile3
