tell application "WebnoteHappy"
	try
		set the_selection to {}
		set the_selection to selection
		if the_selection is not equal to {} then
			if the (number of items in the_selection) is equal to 1 then
				repeat with the_webnote in the_selection
					-- handle a Webnote without tags or a note
					set current_content to ""
					set current_tags to ""
					-- tag separator
					set current_url to url of the_webnote
					set current_title to title of the_webnote
					set current_content to notes of the_webnote
					set current_tags_text to my listSpacer(tags of the_webnote)
				end repeat
			else
				-- multiple notes selected
				error
			end if
		else
			-- no notes selected
			error
		end if
	end try
end tell
-- display dialog current_tags_text
set _TempFile1 to ((path to temporary items folder) & "iGTDWebNoteHappyTitle.txt") as text
set _TempFile2 to ((path to temporary items folder) & "iGTDWebNoteHappyURL.txt") as text
set _TempFile3 to ((path to temporary items folder) & "iGTDWebNoteHappyNote.txt") as text
set _TempFile4 to ((path to temporary items folder) & "iGTDWebNoteHappyKeywords.txt") as text

my sendToiGTD(_TempFile1, current_title)
my sendToiGTD(_TempFile2, current_url)
my sendToiGTD(_TempFile3, current_content)
my sendToiGTD(_TempFile4, current_tags_text)

on sendToiGTD(the_file, the_contents)
	try
		close access file the_file
	end try
	try
		open for access file the_file with write permission
		set eof file the_file to 0 -- clear the file contents
		write the_contents to file the_file
		close access file the_file
	end try
end sendToiGTD

on listSpacer(some_text)
	set the_text to ""
	set the_spacer to "," as Unicode text
	set some_list to words in some_text
	repeat with list_item in some_list
		set the_text to the_text & list_item as Unicode text
		set the_text to the_text & the_spacer
	end repeat
	return the_text
end listSpacer