tell application "NetNewsWire"
	
	set theIndex to index of selected tab
	if theIndex = 0 then
		try
			set theHeadline to selectedHeadline
			set current_headline_url to get URL of theHeadline
			set current_headline to get title of theHeadline
		end try
		
	else
		set theIndex to (theIndex + 1)
		set urls to URLs of tabs
		set titles to titles of tabs
		set current_headline_url to item theIndex of urls
		set current_headline to item theIndex of titles
	end if
	
end tell

set _TempFile1 to ((path to temporary items folder) & "iGTDnetnewswireHeadline.txt") as text
set _TempFile2 to ((path to temporary items folder) & "iGTDnetnewswireHeadlineURL.txt") as text

try
	close access file _TempFile1
end try
try
	close access file _TempFile2
end try

open for access file _TempFile1 with write permission
set eof file _TempFile1 to 0 -- clear the file contents
write current_headline to file _TempFile1
close access file _TempFile1

open for access file _TempFile2 with write permission
set eof file _TempFile2 to 0 -- clear the file contents
write current_headline_url to file _TempFile2
close access file _TempFile2
