tell application "Yojimbo"
	
	set selectedItems to selection
	
	if (count of selectedItems) > 0 then
		
		set selectedItem to item 1 of selectedItems
		
		set itemName to the name of selectedItem as Unicode text
		set itemID to "x-yojimbo-item://" & the id of selectedItem
		set itemFlagged to flagged of selectedItem as Unicode text
		set itemTags to tags of selectedItem
		
	end if
	
end tell

if (count of selectedItems) > 0 then
	
	set _TempFile to ((path to temporary items folder) & "iGTDyojimboName.txt") as text
	set _TempFile1 to ((path to temporary items folder) & "iGTDyojimboID.txt") as text
	set _TempFile2 to ((path to temporary items folder) & "iGTDyojimboFlagged.txt") as text
	set _TempFile3 to ((path to temporary items folder) & "iGTDyojimboTags.txt") as text
	
	
	set spaceU to "," as Unicode text
	
	try
		close access file _TempFile
	end try
	try
		close access file _TempFile1
	end try
	try
		close access file _TempFile2
	end try
	try
		close access file _TempFile3
	end try
	
	
	open for access file _TempFile with write permission
	set eof file _TempFile to 0 -- clear the file contents
	write itemName to file _TempFile starting at eof
	close access file _TempFile
	
	open for access file _TempFile1 with write permission
	set eof file _TempFile1 to 0 -- clear the file contents
	write itemID to file _TempFile1
	close access file _TempFile1
	
	open for access file _TempFile2 with write permission
	set eof file _TempFile2 to 0 -- clear the file contents
	write itemFlagged to file _TempFile2
	close access file _TempFile2
	
	open for access file _TempFile3 with write permission
	set eof file _TempFile3 to 0 -- clear the file contents
	repeat with keyword in itemTags
		write keyword to file _TempFile3
		write spaceU to file _TempFile3
	end repeat
	close access file _TempFile3
	
end if


